plugins {
    alias(libs.plugins.android.application)
    alias(libs.plugins.kotlin.android)
    alias(libs.plugins.kotlin.compose)
}

android {
    namespace = "com.birdsounds.identify"
    compileSdk = 34

    defaultConfig {
        applicationId = "com.birdsounds.identify"
        minSdk = 34
        targetSdk = 34
        versionCode = 1
        versionName = "1.0"

    }

    buildTypes {
        release {
            isMinifyEnabled = false
            proguardFiles(
                getDefaultProguardFile("proguard-android-optimize.txt"),
                "proguard-rules.pro"
            )
        }
    }
    compileOptions {
        sourceCompatibility = JavaVersion.VERSION_1_8
        targetCompatibility = JavaVersion.VERSION_1_8
    }
    kotlinOptions {
        jvmTarget = "1.8"
    }
    buildFeatures {
        compose = true
    }
}

dependencies {

    api(fileTree("libs") {
        include("*.jar")
    })
    api(files("libs/opus.aar"))
    implementation(libs.androidx.lifecycle.viewmodel.compose)
    implementation(libs.ui.tooling)
    implementation(libs.androidx.navigation.compose)
    implementation(libs.androidx.compose.navigation.v131)
    implementation(libs.horologist.audio.ui)
    implementation(libs.horologist.audio)
    implementation(libs.horologist.compose.tools)
    implementation(libs.androidx.material.icons.core)
    implementation(libs.androidx.material.icons.extended)
    implementation(libs.horologist.compose.material)
    implementation(libs.horologist.media.ui)
    implementation(libs.horologist.media.data)
    implementation(libs.kotlinx.coroutines.play.services)
    implementation(libs.androidx.media3.exoplayer)
    implementation(libs.play.services.wearable)
    implementation(platform(libs.androidx.compose.bom))
    implementation(libs.androidx.ui)
    implementation(libs.androidx.ui.graphics)
    implementation(libs.androidx.ui.tooling.preview)
    implementation(libs.androidx.compose.material)
    implementation(libs.androidx.compose.foundation)
//    implementation("androidx.compose.foundation:foundation:1.8.0-rc01")
    implementation(libs.androidx.wear.tooling.preview)
    implementation(libs.androidx.activity.compose)
    implementation(libs.androidx.core.splashscreen)
    implementation(libs.androidx.compose.navigation)
    implementation(libs.androidx.media3.common)
    implementation(libs.androidx.wear.ongoing)
    implementation(libs.accompanist.flowlayout)
    implementation(libs.stately.concurrent.collections)
    implementation(libs.androidx.compose.material3)
    implementation(libs.androidx.work.runtime.ktx)
    implementation(libs.androidx.runtime.android)
    implementation(libs.androidx.animation.core.android)
//    androidTestImplementation(platform(libs.androidx.compose.bom))
//    androidTestImplementation(libs.androidx.ui.test.junit4)
//    debugImplementation(libs.androidx.ui.tooling)
//    debugImplementation(libs.androidx.ui.test.manifest)
    wearApp(project(":wear"))
}